/**
 * @author Luc Yriarte
 * 
 * Licence : BSD http://www.opensource.org/licenses/bsd-license.php
 *  
 */
package org.yriarte.test;

import java.applet.Applet;
import java.awt.Graphics;

import org.yriarte.awtGraphics.AwtGraphics;
import org.yriarte.awtGraphics.AwtImage;
import org.yriarte.graphics.Color;
import org.yriarte.mini3D.Box;
import org.yriarte.mini3D.Buffered3DGraphics;
import org.yriarte.mini3D.Grid;
import org.yriarte.mini3D.Object3D;
import org.yriarte.mini3D.PolySphere;
import org.yriarte.physicSim.SolidObject;
import org.yriarte.physicSim.VectorXYZ;
import org.yriarte.physicSim.World;

public class FontaineDeBallesApplet extends Applet {

	static int NAV_ROTATION = 0, NAV_TRANSLATION = 1, NAV_ZOOM = 2;
	static int DEFAULT_FOCAL = 200, DEFAULT_X = 0, DEFAULT_Y = -10, DEFAULT_Z = 30, DEFAULT_MS = 83;

	int width, height;
	
	World world;
	double ballsecs,deltasec;


	public FontaineDeBallesApplet() {
		super();
	}

	public void init() {
		Object3D obj;
		width = this.getSize().width;
		height = this.getSize().height;
		
		world = new World();
		world.getSpace().reset(DEFAULT_X,DEFAULT_Y,DEFAULT_Z,0,0,0,0,0,0,0,0,0);
		world.setSimView(new Buffered3DGraphics(world.space, new AwtImage(this.createImage(width,height)), width, height, DEFAULT_FOCAL));
		world.view = this;
		world.millisec = DEFAULT_MS;
		obj = new Grid(2,30);
		obj.reset(-30,-30,0,0,0,0,0,0,0,0,0,0);
		world.space.addChild(obj);
		obj = new Box(1,1,1);
		world.space.addChild(obj);

		ballsecs=0;
		deltasec=0.66666;
		
		// ---- ---- update and paint
		world.start();
	}
	
	public void paint(Graphics g) {
		if (world.time > ballsecs + deltasec && world.nObjects < 20) {
			SolidObject newSolid;
			PolySphere newObject =  new PolySphere(6,6,2,1,false);
			newObject.setColor(new Color((int)(Math.random()*255),(int)(Math.random()*255),(int)(Math.random()*255)));
			newSolid = new SolidObject(1,newObject);
			newSolid.applyForce(new VectorXYZ(Math.random()*100-50,Math.random()*100,Math.random()*10-5));
			world.addObject(newSolid);
			ballsecs=world.time;
		}
		world.simView.updateView(new AwtGraphics(g));
	}
	
	public void update(Graphics g) {
		this.paint(g);
	}

	
}
