/*
 * Copyright (c) 2008, Luc Yriarte
 * All rights reserved.
 * 
 * @file X3dFileReader.java
 * @author Luc Yriarte
 * 
 * License: BSD <http://www.opensource.org/licenses/bsd-license.php>
 * 
 * Redistribution and use in source and binary forms, with or without modification, are permitted 
 * provided that the following conditions are met:
 * 
 *     * Redistributions of source code must retain the above copyright notice, this 
 * list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright notice, this 
 * list of conditions and the following disclaimer in the documentation and/or other materials 
 * provided with the distribution.
 *     * The name of Luc Yriarte may not be used to endorse or promote products derived 
 * from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
 * IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
 * 
 */
package org.yriarte.x3d;

import java.awt.Frame;
import java.io.FileInputStream;
import java.io.InputStream;

import org.json.JSONObject;
import org.json.XML;
import org.yriarte.awtApp.Mini3DPanel;
import org.yriarte.mini3D.Object3D;

public class X3dFileReader {

	static int BUFSIZE=4096;
	
	public static void main(String[] args) {
	    if (args.length != 1) {
	        System.out.println("No x3d file to open, exiting");
	        return;
	    }
		try {
			InputStream is = new FileInputStream(args[0]);
			byte buffer[] = new byte[BUFSIZE];
			String str = "";
			int nb;
			while ((nb = is.read(buffer)) > 0) {
				str += new String(buffer,0,nb);
			}
			JSONObject jobj = XML.toJSONObject(str);
			Object3D scene = JSONx3dFactory.getScene(jobj);
			Frame frm = new Frame();
			frm.setSize(600,600);
			frm.setTitle(args[0]);
			Mini3DPanel pnl = new Mini3DPanel();
			frm.add(pnl);
			frm.show();
			pnl.init(scene);
			frm.validate();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
