/*
 * Copyright (c) 2010, Luc Yriarte
 * All rights reserved.
 * 
 * Created on 7 juin 2010
 * 
 * @file XSDElementTemplate.java
 * @author Luc Yriarte
 * 
 * License: BSD <http://www.opensource.org/licenses/bsd-license.php>
 * 
 * Redistribution and use in source and binary forms, with or without modification, are permitted 
 * provided that the following conditions are met:
 * 
 *     * Redistributions of source code must retain the above copyright notice, this 
 * list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright notice, this 
 * list of conditions and the following disclaimer in the documentation and/or other materials 
 * provided with the distribution.
 *     * The name of Luc Yriarte may not be used to endorse or promote products derived 
 * from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
 * IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
 * 
 */

package org.yriarte.xml;

import org.json.JSONException;
import org.json.JSONObject;

/**
 * @author lyriarte
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class XSDElementTemplate extends XSDJSONTemplate {

    /**
     * @param schemaNode
     * @param name
     * @throws JSONException
     */
    public XSDElementTemplate(JSONObject schemaNode, String name)
            throws JSONException {
        super(schemaNode, name);
        itemNode = JSONxsdFactory.getTopLevelItem(schemaNode, "element", name);
        buildAttributeList();
    }

    /* (non-Javadoc)
     * @see org.yriarte.xml.XSDJSONTemplate#getTemplate()
     */
    public JSONObject getTemplate() {
        // TODO Auto-generated method stub
        return null;
    }

    private void buildAttributeList() {
        JSONObject extension = null;
        try {
            extension = itemNode.getJSONObject("xs:complexType").getJSONObject("xs:complexContent").getJSONObject("xs:extension");
        }
        catch (JSONException e) {
            System.err.println(e.getMessage());
            return;
        }
        try {
            System.out.println(extension.getJSONObject("xs:attribute"));
        }
        catch (JSONException e) {
            try {
                System.out.println(extension.getJSONArray("xs:attribute"));
            }
            catch (JSONException e1) {
                System.err.println("No attributes");
                return;
            }
        }
    }
    
}
